Diskussion:Server/srs13/2022

Aus Wiki StuRa HTW Dresden
< Diskussion:Server‎ | srs13
Version vom 29. Oktober 2022, 21:36 Uhr von PaulRiegel (Diskussion | Beiträge) (PaulRiegel verschob die Seite Diskussion:Server/srs13 nach Diskussion:Server/srs13/2022: die instanz gibt es so nicht mehr)
(Unterschied) ← Nächstältere Version | Aktuelle Version (Unterschied) | Nächstjüngere Version → (Unterschied)
Zur Navigation springen Zur Suche springen

memcache[Bearbeiten]

Nachfolgend wird eine Vorüberlegung für die Einführung der Benutzung von memcache angestellt.

Darauf gekommen ist Paul wegen der mediawikiwiki:Extension:SpecialNamespaces. (Eigentlich ging es nur darum die Verwaltung von Namensräumen im MediaWiki richtig ordentlich zu machen.) Diese Extension setzt wohl die Verfügbarkeit zur Verwendung von memcache voraus.

Was wohl gemacht werden müsste

Installieren von memcached

pkg install -y memcached
sysrc memcached_enable="YES"

Installieren vom Modul für den Webserver (hier Apache 2.4)?

pkg install -y ap24-mod_memcache
  • Modul bei /usr/local/etc/apache24/httpd.conf eintragen?
$EDITOR /usr/local/www/mediawiki/LocalSettings.php
  • Verwendung bei MediaWiki eintragen und einstellen.
weitere wohl möglicher hilfreiche Links

Aktualisierung von MediaWiki[Bearbeiten]

  • (Jail stoppen)
  • (rekursiven Snapshot vom Dataset machen)
  • gemäß mediawikiwiki:Manual:Upgrading erst einmal einen Dump der Datenbank erstellen
    mysqldump --user=wikidb_user --password=wikidb_userpassword wikidb > file.sql
  • Datenbank sichern!
  • Pakete innerhalb der Jail aktualisieren
    pkg update && pkg upgrade -y

Aktualisierung 2017-06-05[Bearbeiten]

pkg update && pkg upgrade -y
Updating FreeBSD repository catalogue...
[srs13] Fetching meta.txz: 100%    964 B   1.0kB/s    00:01    
[srs13] Fetching packagesite.txz: 100%    5 MiB   2.9MB/s    00:02    
Processing entries: 100%
FreeBSD repository update completed. 25079 packages processed.
Updating FreeBSD repository catalogue...
FreeBSD repository is up-to-date.
All repositories are up-to-date.
New version of pkg detected; it needs to be installed first.
The following 1 package(s) will be affected (of 0 checked):

Installed packages to be UPGRADED:
	pkg: 1.8.7_1 -> 1.9.4_1

Number of packages to be upgraded: 1

2 MiB to be downloaded.
[srs13] Fetching pkg-1.9.4_1.txz: 100%    2 MiB   2.2MB/s    00:01    
Checking integrity... done (0 conflicting)
[srs13] [1/1] Upgrading pkg from 1.8.7_1 to 1.9.4_1...
[srs13] [1/1] Extracting pkg-1.9.4_1: 100%
Updating FreeBSD repository catalogue...
FreeBSD repository is up-to-date.
All repositories are up-to-date.
Checking for upgrades (99 candidates): 100%
Processing candidates (99 candidates): 100%
The following 100 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
	libnghttp2: 1.18.0

Installed packages to be UPGRADED:
	zsh: 5.2_3 -> 5.3.1
	xproto: 7.0.28 -> 7.0.31
	xcb-util: 0.4.0_1,1 -> 0.4.0_2,1
	webp: 0.5.0 -> 0.5.2
	vim: 7.4.1832 -> 8.0.0134_1
	videoproto: 2.3.2 -> 2.3.3
	trousers: 0.3.13 -> 0.3.14_1
	tiff: 4.0.6_2 -> 4.0.7_1
	tcl86: 8.6.6 -> 8.6.6_2
	subversion: 1.9.4 -> 1.9.5
	sqlite3: 3.13.0_2 -> 3.15.1_1
	serf: 1.3.8_1 -> 1.3.9_1
	ruby: 2.2.5,1 -> 2.2.6_1,1
	python27: 2.7.12 -> 2.7.13_1
	png: 1.6.23 -> 1.6.27
	pkgconf: 1_1 -> 1.1.0
	php56-zlib: 5.6.24_1 -> 5.6.29
	php56-xmlreader: 5.6.24_1 -> 5.6.29
	php56-xml: 5.6.24_1 -> 5.6.29
	php56-sockets: 5.6.24_1 -> 5.6.29
	php56-session: 5.6.24_2 -> 5.6.29
	php56-readline: 5.6.24_1 -> 5.6.29
	php56-mysql: 5.6.24_1 -> 5.6.29
	php56-mbstring: 5.6.24_1 -> 5.6.29
	php56-json: 5.6.24_1 -> 5.6.29
	php56-iconv: 5.6.24_1 -> 5.6.29
	php56-hash: 5.6.24_1 -> 5.6.29
	php56-dom: 5.6.24_1 -> 5.6.29
	php56-ctype: 5.6.24_1 -> 5.6.29
	php56: 5.6.24_1 -> 5.6.29
	perl5: 5.20.3_14 -> 5.24.1.r4_1
	pcre: 8.39 -> 8.39_1
	pciids: 20160621 -> 20161225
	p5-Socket: 2.021 -> 2.024
	p5-Net-SSLeay: 1.77 -> 1.78
	p5-Net-SMTP-SSL: 1.03 -> 1.04
	p5-IO-Socket-SSL: 2.034 -> 2.038
	p5-IO-Socket-IP: 0.37_1 -> 0.38
	p11-kit: 0.23.2 -> 0.23.3
	openssl: 1.0.2_14 -> 1.0.2j_1,1
	openjpeg: 2.1.1 -> 2.1.2_1
	nettle: 3.2 -> 3.3
	mysql56-server: 5.6.30 -> 5.6.34
	mysql56-client: 5.6.30 -> 5.6.34
	mpfr: 3.1.4 -> 3.1.5
	mod_php56: 5.6.24_1 -> 5.6.29
	mediawiki123: 1.23.14 -> 1.23.15
	mDNSResponder: 625.41.2 -> 765.20.4
	llvm37: 3.7.1_2 -> 3.7.1_4
	libxml2: 2.9.3 -> 2.9.4
	libxcb: 1.11.1 -> 1.12
	liblqr-1: 0.4.1_8 -> 0.4.2
	libiconv: 1.14_9 -> 1.14_10
	libgpg-error: 1.24 -> 1.26
	libgcrypt: 1.7.2 -> 1.7.5
	libXvMC: 1.0.9 -> 1.0.10
	libXv: 1.0.10_3,1 -> 1.0.11,1
	libXrender: 0.9.9 -> 0.9.10
	libXrandr: 1.5.0 -> 1.5.1
	libXpm: 3.5.11_4 -> 3.5.12
	libXi: 1.7.6,1 -> 1.7.8,1
	libXfixes: 5.0.1_3 -> 5.0.3
	libX11: 1.6.3,1 -> 1.6.4,1
	lcms2: 2.7_2 -> 2.8
	jpeg-turbo: 1.4.2 -> 1.5.1
	inputproto: 2.3.1 -> 2.3.2
	indexinfo: 0.2.4 -> 0.2.6
	icu: 55.1,1 -> 58.2,1
	harfbuzz: 1.3.0 -> 1.3.4
	gtk2: 2.24.29_2 -> 2.24.29_3
	gsfonts: 8.11_6 -> 8.11_8
	graphite2: 1.3.8 -> 1.3.9
	gnutls: 3.4.14 -> 3.4.17
	glib: 2.46.2_2 -> 2.46.2_4
	git: 2.9.2_1 -> 2.11.0_3
	giflib: 5.1.3 -> 5.1.4
	gettext-runtime: 0.19.8.1 -> 0.19.8.1_1
	gcc: 4.8.5_2 -> 4.9.4
	fontconfig: 2.11.1_3,1 -> 2.12.1,1
	fftw3: 3.3.3_2 -> 3.3.5
	expat: 2.2.0 -> 2.2.0_1
	dejavu: 2.35 -> 2.37
	dbus: 1.8.20 -> 1.10.14
	db5: 5.3.28_4 -> 5.3.28_6
	cvsps: 2.1_1 -> 2.1_2
	curl: 7.50.1 -> 7.52.1
	cups: 2.1.4 -> 2.2.1
	ca_root_nss: 3.26 -> 3.28
	binutils: 2.25.1_3,1 -> 2.27_5,1
	bash: 4.3.46_1 -> 4.4.5
	apr: 1.5.2.1.5.4_1 -> 1.5.2.1.5.4_2
	apache24: 2.4.23_1 -> 2.4.25_1
	ImageMagick-nox11: 6.9.5.5_1,1 -> 6.9.6.4,1

Installed packages to be REINSTALLED:
	p5-Mozilla-CA-20160104 (direct dependency changed: perl5)
	p5-GSSAPI-0.28_1 (direct dependency changed: perl5)
	p5-Error-0.17024 (direct dependency changed: perl5)
	p5-Digest-HMAC-1.03_1 (direct dependency changed: perl5)
	p5-Authen-SASL-2.16_1 (direct dependency changed: perl5)
	libEGL-11.2.2 (needed shared library changed)

Number of packages to be installed: 1
Number of packages to be upgraded: 93
Number of packages to be reinstalled: 6

The process will require 141 MiB more space.
273 MiB to be downloaded.

Redwerks MediaWiki ShortURL Builder[Bearbeiten]

These rules go inside the .htaccess file at "/.htaccess". If a .htaccess file already exists there you should merge these rules in with it. However if you have any existing rewrite rules for your article path or thumbnail handler you should probably erase those to avoid conflicting with these.

RewriteEngine On
RewriteCond %{DOCUMENT_ROOT}%{REQUEST_URI} !-f
RewriteCond %{DOCUMENT_ROOT}%{REQUEST_URI} !-d
RewriteRule ^(.*)$ %{DOCUMENT_ROOT}/index.php [L]

This configuration is meant to go into your LocalSettings.php. There should be a small block already in there that is similar to this, replace that with these settings to setup the MediaWiki side of the Short URL config.

## The URL base path to the directory containing the wiki;
## defaults for all runtime URL paths are based off of this.
## For more information on customizing the URLs please see:
## http://www.mediawiki.org/wiki/Manual:Short_URL
$wgScriptPath = "";
$wgScriptExtension = ".php";
$wgArticlePath = "/$1";

webproxy[Bearbeiten]

srs13 (aka die Instanz fürs MediaWiki vom StuRa) wird gerade durch einen (vorgeschalteten) Webproxy ausgeliefert.

Er wurde durch Clemens 2020-09-0d erstellt.

Nachfolgend ist Platz für weitere Dokumentation.

Da sowohl www.wiki.stura.htw-dresden.de als auch wiki.stura.htw-dresden.de als DNS-Einträge existieren haben Sören und Paul versucht, über die nginx config beide Domains auf das Wiki zu leiten. Das funktioniert aber mit dem Zertifikat nicht, da das nur für wiki.stura.htw-dresden.de gültig ist. Die Einstellungen in der confconsole scheinen nicht angewendet zu werden, daher konnte das Problem nicht behoben werden. Mit der momentanen Konfiguration leitet anscheinend der Wiki-Server selbst von www.wiki.stura.htw-dresden.de auf wiki.stura.htw-dresden.de um.